Is the Swift 5.9 Foundation backportable to macOS 10.9 Mavericks?

Xcode 15.1 can compile for macOS 10.9 if compiling against macOS 13.x SDK, plus having the LibArcLite patched in Xcode.

The macOS 14 SDK has the rewritten version of Foundation which deliberately made some APIs unavailable anymore on macOS 10.9, incl. JSONDecoder / JSONEncoder, URL, Data, ... a lot of Foundation types. These APIs were previously available to macOS 10.9 in older SDKs.

I wonder whether the dropped support of macOS 10.9 in Foundation is due to political correctness (of phasing-out old Apple OS) or real technical difficulties.